package app

import (
	v1 "ln/nft/api/v1"
	"ln/nft/middleware"

	"github.com/gin-gonic/gin"
)

type AppBannersRouter struct {
}

// InitAppBannersRouter 初始化 AppBanners 路由信息
func (s *AppBannersRouter) InitAppBannersRouter(Router *gin.RouterGroup) {
	appBannersRouter := Router.Group("appBanners").Use(middleware.OperationRecord())
	appBannersRouterWithoutRecord := Router.Group("appBanners")
	var appBannersApi = v1.ApiGroupApp.AppApiGroup.AppBannersApi
	{
		appBannersRouter.POST("createAppBanners", appBannersApi.CreateAppBanners)             // 新建AppBanners
		appBannersRouter.DELETE("deleteAppBanners", appBannersApi.DeleteAppBanners)           // 删除AppBanners
		appBannersRouter.DELETE("deleteAppBannersByIds", appBannersApi.DeleteAppBannersByIds) // 批量删除AppBanners
		appBannersRouter.PUT("updateAppBanners", appBannersApi.UpdateAppBanners)              // 更新AppBanners
	}
	{
		appBannersRouterWithoutRecord.GET("findAppBanners", appBannersApi.FindAppBanners)       // 根据ID获取AppBanners
		appBannersRouterWithoutRecord.GET("getAppBannersList", appBannersApi.GetAppBannersList) // 获取AppBanners列表
	}
}
